import { ApiCall } from "tsrpc";
import { WangZheRongYaofun } from "../../public/wzry";
import { ReqWzzd, ResWzzd } from "../../shared/protocols/wzry/PtlWzzd";

export default async function (call: ApiCall<ReqWzzd, ResWzzd>) {
    let wzzdlist = await WangZheRongYaofun.getWzzdList();
    if (!wzzdlist) {
        return call.error('', { code: -4, message: ''/* globalThis.lng.wzry_16 */ });
    }

    call.succ({ wzzdlist: wzzdlist });
}